﻿using System;
using System.Collections;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Google.Charts;
using System.Drawing;


namespace DemoSite {
    public partial class _Default : System.Web.UI.Page {
        protected override void OnLoad(EventArgs e) {
            base.OnLoad(e);




            // colored pie chart test
            PieChart pieChartColors = new PieChart3D();
            pieChartColors.ID = "HelloPieColors";
            pieChartColors.Title = new ChartTitle("Hello colors");
            pieChartColors.Width = 200;
            pieChartColors.Height = 125;
            pieChartColors.AddSegment(12, "A", Color.LightGray);
            pieChartColors.AddSegment(3, "B"); //, Color.LightGreen);
            pieChartColors.AddSegment(4, "D", Color.LightPink);


            chartPlaceholder.Controls.Add(pieChartColors);

            PieChart pieChart = new PieChart3D();
            pieChart.ID = "HelloPie";
            pieChart.Title = new ChartTitle("Hello world", Color.Lime, null);
            pieChart.Width = 200;
            pieChart.Height = 125;
            pieChart.AddSegment(12, "A");
            pieChart.AddSegment(3, "B");
            pieChart.AddSegment(4, "D");
            pieChart.BackgroundFill = new SolidFill(Color.Red);
            pieChart.ChartAreaFill = new SolidFill(Color.Blue);



            chartPlaceholder.Controls.Add(pieChart);


            LinearGradientFill gradientFill = new LinearGradientFill();
            gradientFill.Angle = 50;
            gradientFill.AddColor(0, Color.Blue);
            gradientFill.AddColor(0.75, Color.Yellow);

            SimpleLineChart simpleLineChart = new SimpleLineChart();
            simpleLineChart.ID = "HelloWorld";
            simpleLineChart.Title = "The simple|linechart";
            simpleLineChart.Width = 200;
            simpleLineChart.Height = 125;
            simpleLineChart.BackgroundFill = new SolidFill(Color.Red);
            simpleLineChart.ChartAreaFill = gradientFill;
//            simpleLineChart.Data = new DataSet<LabeledDataPoint>[1]{
//                new DataSet<LabeledDataPoint>(){new LabeledDataPoint(4f, "four"), new LabeledDataPoint(5f, null), new LabeledDataPoint(12.45f, "twelve & forty"), new LabeledDataPoint(6f, "six")},
////                new DataSet<LabeledDataPoint>(){, new LabeledDataPoint("three", 3f), new LabeledDataPoint("four", 4f), new LabeledDataPoint("five", 5f),new LabeledDataPoint("twelve & forty", 12.45f)},
//            };
            DataSet<LabeledDataPoint> ds = simpleLineChart.AddLine(null, Color.Orange, new LabeledDataPoint(4f, "four"), new LabeledDataPoint(5f, null), new LabeledDataPoint(12.45f, "twelve & forty"), new LabeledDataPoint(6f, "six"));
            //ds.MinValue = 0;

            ds = simpleLineChart.AddLine(null, Color.White, new LabeledDataPoint(3f, "three"), new LabeledDataPoint(4f, "four"), new LabeledDataPoint(5f, "five"), new LabeledDataPoint(12.45f, "twelve & forty"));
            //ds.MinValue = 0;

            chartPlaceholder.Controls.Add(simpleLineChart);

            LinearStripes stripes = new LinearStripes();

            stripes .Angle = 50;
            stripes.AddColor(0.1, Color.Blue);
            stripes.AddColor(0.2, Color.Yellow);



            StackedBarChart barChart = new StackedBarChart();
            barChart.ID = "HelloBar";
            barChart.Title = "The bar|chart";
            barChart.Width = 200;
            barChart.Height = 125;
            barChart.BarSize = 25;
            barChart.Direction = Direction.Vertical;
            barChart.ChartAreaFill = stripes;
            barChart.Data.Add(new DataSet<DataPoint>(){new DataPoint(4f), new DataPoint(5f), new DataPoint(12.45f), new DataPoint(6f)});
            barChart.Data.Add(new DataSet<DataPoint>(){new DataPoint( 3f), new DataPoint( 4f), new DataPoint(5f),new DataPoint(12.45f)});

            chartPlaceholder.Controls.Add(barChart);

            StackedBarChart barChart2 = new StackedBarChart();
            barChart2.ID = "HelloBar2";
            barChart2.Title = "The bar|chart2";
            barChart2.Width = 200;
            barChart2.Height = 125;
            barChart2.Direction = Direction.Vertical;
            barChart2.ChartAreaFill = stripes;
            barChart2.Data.Add(new DataSet<DataPoint>(){new DataPoint(4f), new DataPoint(5f), new DataPoint(12.45f), new DataPoint(6f)});
            barChart2.Data.Add(new DataSet<DataPoint>(){new DataPoint( 3f), new DataPoint( 4f), new DataPoint(5f),new DataPoint(12.45f)});

            chartPlaceholder.Controls.Add(barChart2);

            VennDiagram venn = new VennDiagram();
            venn.ID = "HelloVenn";
            venn.Title = "The venn|chart";
            venn.Width = 200;
            venn.Height = 125;
            venn.CircleA = new VennCircle(100, "A", Color.Azure);
            venn.CircleB = new VennCircle(80, "B", Color.BurlyWood);
            venn.CircleC = new VennCircle(40, "C", Color.Cyan);
            venn.IntersectionAB = 40;
            venn.IntersectionABC = 25;
            venn.IntersectionBC = 30;
            venn.IntersectionCA = 20;

            chartPlaceholder.Controls.Add(venn);

            VennDiagram venn2 = new VennDiagram();
            venn2.ID = "Hellovenn2";
            venn2.Title = "The venn2|chart";
            venn2.Width = 200;
            venn2.Height = 125;
            venn2.CircleA = new VennCircle(100, "A", Color.Azure);
            venn2.CircleB = new VennCircle(80, "B", Color.BurlyWood);
            venn2.CircleC = VennCircle.Empty;
            venn2.IntersectionAB = 40;
            venn2.IntersectionABC = 25;
            venn2.IntersectionBC = 30;
            venn2.IntersectionCA = 20;

            chartPlaceholder.Controls.Add(venn2);

         
            LineChart lineChart = new LineChart();
            lineChart.ID = "HelloWorldLine";
            lineChart.Title = "The Linechart";
            lineChart.Width = 200;
            lineChart.Height = 125;
            lineChart.Data.Add(new DataSet<PairDataPoint>(){
                    new PairDataPoint(12, 1),new PairDataPoint(2,2), new PairDataPoint(3,4),
                });
            lineChart.Data.Add(new DataSet<PairDataPoint>(){
                new PairDataPoint(1, 12),new PairDataPoint(2,2), new PairDataPoint(4,3), new PairDataPoint(12, 16),
                });

            chartPlaceholder.Controls.Add(lineChart);

            ScatterPlot scatter = new ScatterPlot();
            scatter.ID = "scatter";
            scatter.Title = "The scatter";
            scatter.Width = 200;
            scatter.Height = 125;
            scatter.Data.Add(
                new DataSet<TripleDataPoint>(){
                    new TripleDataPoint(12, 1,4),new TripleDataPoint(2,2,10), new TripleDataPoint(3,4,5),
                });

            chartPlaceholder.Controls.Add(scatter);
            

        }
    }
}
