﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web;

namespace Google.Charts {

    public class LabeledDataPoint : DataPoint {

        public string Label
        {
            get;
            private set;
        }

        public LabeledDataPoint() { }

        public LabeledDataPoint(double y, string label)
            : base(y)
        {
            Label = label;
        }
    }
}
