﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Google.Charts {
    public class PairDataPoint : DataPoint {

        private double _xValue;
        public PairDataPoint() {
            //...
        }

        public PairDataPoint(double x, double y) : base (y) 
        {
            this._xValue = x;
        }

        public double XValue { get { return _xValue; } }

        public override double Max 
        {
            get 
            {
                return Math.Max(XValue, Value);
            }
        }

        public override double Min
        {
            get
            {
                return Math.Min(XValue, Value);
            }
        }

    }
}
